--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Determines if this validator should be run against the target by evaluating the :if and :unless clauses optionally passed while specifying any validator.
- !ruby/struct:SM::Flow::P 
  body: "@param &lt;Object&gt; target the resource that we check against @return &lt;Boolean&gt; true if should be run, otherwise false"
full_name: DataMapper::Validate::GenericValidator#execute?
is_singleton: false
name: execute?
params: (target)
visibility: public
